GETGENEEXPRESSION(1)

NAME
getGeneExpression - compute expression of whole genes

SYNOPSIS
getGeneExpression -o <outFileName> -t <trInfoFileName> [OPTIONS] [samplesFile]

DESCRIPTION
Computes expression of whole genes.

    [samplesFile] should contain transposed MCMC samples which will be transformed into gene expression samples.

OPTIONS

--help

    Show this help information.

-a , --adjustByLength

    Adjust expression by transcripts length. (default: Off)

-g <geneInfoFile> , --geneInfoFile=<geneInfoFile>

    Name of while to which gene information will be saved.

-G <geneListFile> , --geneList=<geneListFile>

    Name of the file containing list of gene names (one for each transcript).

-l , --log

    Output logged values. (default: Off)

-o <outFileName> , --outFile=<outFileName>

    Name of the output file.

--theta2rpkm

    Transform transcript expression in theta to gene expression in RPKM. (default: Off)

-t <trInfoFileName> , --trInfoFile=<trInfoFileName>

    Name of the transcript file.

-T <trMapFile> , --trMap=<trMapFile>

    Name of the file containing transcript to gene mapping.

--updateTrFile

    Update trInfoFile if new gene names were provided (with trMapFile or geneListFile). (default: Off)

-v , --verbose

    Verbose output. (default: Off)